View Issue Details

IDProjectCategoryView StatusLast Update
0005477CentOS-6cairopublic2013-02-05 19:31
Reportersturdyworks 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionno change required 
PlatformSourceOSCentOSOS Version6
Product Version6.2 
Target VersionFixed in Version 
Summary0005477: cairo-1.8.8-3.1.el6.src.rpm - downgrade causes 140 packages to be removed!
DescriptionI downloaded and installed cairo-1.8.8-3.1.el6.src.rpm, but decided I didn't need it.

When I went to downgrade the package it tells me it will have to uninstall 140 packages.

This just cannot be right in any way. It even wants to uninstall 'firstboot'.

I have attached a file that gives all the files it wants to remove.

Steps To Reproduce$ wget http://vault.centos.org/6.2/os/Source/SPackages/cairo-1.8.8-3.1.el6.src.rpm
$ rpm --nomd5 -i cairo-1.8.8-3.1.el6.src.rpm
$ cd ~/rpmbuild/SPEC
$ rpmbuild --sign -ba cairo
$ cd ~/RPMS/i386/
$ sudo yum install cairo-1.8.8-3.1.i386.rpm
$ sudo yum install cairo-devel-1.8.8-3.1.i386.rpm

Here's where the excitement begins...

$sudo yum remove cairo
Transaction Summary
Remove 146 Package(s)
Reinstall 0 Package(s)
Downgrade 0 Package(s)

Oh s?|$!, Calm, Let's remember to downgrade.

$ sudo yum downgrade cairo
Transaction Summary
Remove 140 Package(s)
Reinstall 0 Package(s)
Downgrade 1 Package(s)

It even wants to uninstall 'firstboot', which is one way to get rid of that one :-) Seriously, my system is perminately hosed :-(
TagsNo tags attached.

Activities

sturdyworks

sturdyworks

2012-01-30 23:26

reporter  

cairo-1.8.8-3.1.el6.src.rpm-downgrade-result.txt (57,121 bytes)
$ sudo yum downgrade cairo

Loaded plugins: fastestmirror
Setting up Downgrade Process
Loading mirror speeds from cached hostfile
 * base: mirrors.easynews.com
 * centosplus: centos.mirror.facebook.net
 * extras: mirror-la.7x24web.net
 * updates: mirror-la.7x24web.net

Resolving Dependencies
--> Running transaction check
---> Package cairo.i386 0:1.2.4-5.el5 set to be updated
---> Package cairo.i386 0:1.8.8-3.1 set to be erased
--> Processing Dependency: cairo >= 1.7.6 for package: pango
--> Processing Dependency: cairo = 1.8.8-3.1 for package: cairo-devel
--> Running transaction check
---> Package cairo-devel.i386 0:1.8.8-3.1 set to be erased
--> Processing Dependency: cairo-devel >= 1.7.6 for package: pango-devel
---> Package pango.i386 0:1.28.1-3.el6_0.5.1.centos set to be erased
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-bonobo
--> Processing Dependency: libpango-1.0.so.0 for package: evolution
--> Processing Dependency: libpango-1.0.so.0 for package: gtkhtml2
--> Processing Dependency: libpango-1.0.so.0 for package: usermode-gtk
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-panel
--> Processing Dependency: libpango-1.0.so.0 for package: file-roller
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-utils
--> Processing Dependency: libpango-1.0.so.0 for package: nautilus-cd-burner
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-canvas
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-user-share
--> Processing Dependency: libpango-1.0.so.0 for package: openssh-askpass
--> Processing Dependency: libpango-1.0.so.0 for package: libgnomeprintui22
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-keyring
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-mount
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-gtksourceview
--> Processing Dependency: libpango-1.0.so.0 for package: bluez-gnome
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-gtkhtml2
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-applet
--> Processing Dependency: libpango-1.0.so.0 for package: libbonoboui
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-desktop
--> Processing Dependency: libpango-1.0.so.0 for package: paps
--> Processing Dependency: libpango-1.0.so.0 for package: gtk2-engines
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-gnomeprint
--> Processing Dependency: libpango-1.0.so.0 for package: im-chooser
--> Processing Dependency: libpango-1.0.so.0 for package: ekiga
--> Processing Dependency: libpango-1.0.so.0 for package: libnotify
--> Processing Dependency: libpango-1.0.so.0 for package: control-center
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-spell
--> Processing Dependency: libpango-1.0.so.0 for package: vte
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-mag
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-volume-manager
--> Processing Dependency: libpango-1.0.so.0 for package: gtk2
--> Processing Dependency: libpango-1.0.so.0 for package: xulrunner
--> Processing Dependency: libpango-1.0.so.0 for package: evince
--> Processing Dependency: libpango-1.0.so.0 for package: evolution-data-server
--> Processing Dependency: libpango-1.0.so.0 for package: eog
--> Processing Dependency: libpango-1.0.so.0 for package: gthumb
--> Processing Dependency: libpango-1.0.so.0 for package: libgnomeui
--> Processing Dependency: libpango-1.0.so.0 for package: gstreamer-plugins-good
--> Processing Dependency: libpango-1.0.so.0 for package: gdm
--> Processing Dependency: libpango-1.0.so.0 for package: gcalctool
--> Processing Dependency: libpango-1.0.so.0 for package: libgail-gnome
--> Processing Dependency: libpango-1.0.so.0 for package: sabayon
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-pilot
--> Processing Dependency: libpango-1.0.so.0 for package: pygtk2
--> Processing Dependency: libpango-1.0.so.0 for package: nspluginwrapper
--> Processing Dependency: libpango-1.0.so.0 for package: gok
--> Processing Dependency: libpango-1.0.so.0 for package: gedit
--> Processing Dependency: libpango-1.0.so.0 for package: firefox
--> Processing Dependency: libpango-1.0.so.0 for package: gtkhtml3
--> Processing Dependency: libpango-1.0.so.0 for package: yelp
--> Processing Dependency: libpango-1.0.so.0 for package: metacity
--> Processing Dependency: libpango-1.0.so.0 for package: eel2
--> Processing Dependency: libpango-1.0.so.0 for package: vino
--> Processing Dependency: libpango-1.0.so.0 for package: libgnomeprint22
--> Processing Dependency: libpango-1.0.so.0 for package: gucharmap
--> Processing Dependency: libpango-1.0.so.0 for package: GConf2
--> Processing Dependency: libpango-1.0.so.0 for package: notify-python
--> Processing Dependency: libpango-1.0.so.0 for package: nautilus-extensions
--> Processing Dependency: libpango-1.0.so.0 for package: gail
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2-libegg
--> Processing Dependency: libpango-1.0.so.0 for package: libglade2
--> Processing Dependency: libpango-1.0.so.0 for package: libwnck
--> Processing Dependency: libpango-1.0.so.0 for package: krb5-auth-dialog
--> Processing Dependency: libpango-1.0.so.0 for package: nautilus
--> Processing Dependency: libpango-1.0.so.0 for package: desktop-printing
--> Processing Dependency: libpango-1.0.so.0 for package: rhgb
--> Processing Dependency: libpango-1.0.so.0 for package: poppler
--> Processing Dependency: libpango-1.0.so.0 for package: librsvg2
--> Processing Dependency: libpango-1.0.so.0 for package: xsri
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-python2
--> Processing Dependency: libpango-1.0.so.0 for package: gtksourceview
--> Processing Dependency: libpango-1.0.so.0 for package: pygtk2-libglade
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-applets
--> Processing Dependency: libpango-1.0.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: libpango-1.0.so.0 for package: NetworkManager-gnome
--> Processing Dependency: libpango-1.0.so.0 for package: nautilus-open-terminal
--> Processing Dependency: libpango-1.0.so.0 for package: libgnomecanvas
--> Processing Dependency: libpango-1.0.so.0 for package: trousers
--> Processing Dependency: libpango-1.0.so.0 for package: at-spi
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-screensaver
--> Processing Dependency: libpango-1.0.so.0 for package: notification-daemon
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-netstatus
--> Processing Dependency: libpango-1.0.so.0 for package: zenity
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-terminal
--> Processing Dependency: libpango-1.0.so.0 for package: evolution-connector
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-power-manager
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-system-monitor
--> Processing Dependency: libpango-1.0.so.0 for package: nautilus-sendto
--> Processing Dependency: libpango-1.0.so.0 for package: evolution-webcal
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-media
--> Processing Dependency: libpango-1.0.so.0 for package: gnome-session
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-bonobo
--> Processing Dependency: libpangocairo-1.0.so.0 for package: evolution
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gtkhtml2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: usermode-gtk
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-panel
--> Processing Dependency: libpangocairo-1.0.so.0 for package: file-roller
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-utils
--> Processing Dependency: libpangocairo-1.0.so.0 for package: nautilus-cd-burner
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-canvas
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-user-share
--> Processing Dependency: libpangocairo-1.0.so.0 for package: openssh-askpass
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libgnomeprintui22
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-keyring
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-mount
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-gtksourceview
--> Processing Dependency: libpangocairo-1.0.so.0 for package: bluez-gnome
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-gtkhtml2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-applet
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libbonoboui
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-desktop
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gtk2-engines
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-gnomeprint
--> Processing Dependency: libpangocairo-1.0.so.0 for package: im-chooser
--> Processing Dependency: libpangocairo-1.0.so.0 for package: ekiga
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libnotify
--> Processing Dependency: libpangocairo-1.0.so.0 for package: control-center
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-spell
--> Processing Dependency: libpangocairo-1.0.so.0 for package: vte
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-mag
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-volume-manager
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gtk2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: xulrunner
--> Processing Dependency: libpangocairo-1.0.so.0 for package: evince
--> Processing Dependency: libpangocairo-1.0.so.0 for package: evolution-data-server
--> Processing Dependency: libpangocairo-1.0.so.0 for package: eog
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gthumb
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libgnomeui
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gstreamer-plugins-good
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gdm
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gcalctool
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-power-manager
--> Processing Dependency: libpangocairo-1.0.so.0 for package: sabayon
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-pilot
--> Processing Dependency: libpangocairo-1.0.so.0 for package: pygtk2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: nspluginwrapper
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gok
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gedit
--> Processing Dependency: libpangocairo-1.0.so.0 for package: firefox
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gtkhtml3
--> Processing Dependency: libpangocairo-1.0.so.0 for package: yelp
--> Processing Dependency: libpangocairo-1.0.so.0 for package: metacity
--> Processing Dependency: libpangocairo-1.0.so.0 for package: eel2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: vino
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gucharmap
--> Processing Dependency: libpangocairo-1.0.so.0 for package: GConf2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: notify-python
--> Processing Dependency: libpangocairo-1.0.so.0 for package: nautilus-extensions
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gail
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2-libegg
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libglade2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libwnck
--> Processing Dependency: libpangocairo-1.0.so.0 for package: krb5-auth-dialog
--> Processing Dependency: libpangocairo-1.0.so.0 for package: nautilus
--> Processing Dependency: libpangocairo-1.0.so.0 for package: desktop-printing
--> Processing Dependency: libpangocairo-1.0.so.0 for package: rhgb
--> Processing Dependency: libpangocairo-1.0.so.0 for package: poppler
--> Processing Dependency: libpangocairo-1.0.so.0 for package: librsvg2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: xsri
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-python2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gtksourceview
--> Processing Dependency: libpangocairo-1.0.so.0 for package: pygtk2-libglade
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-applets
--> Processing Dependency: libpangocairo-1.0.so.0 for package: NetworkManager-gnome
--> Processing Dependency: libpangocairo-1.0.so.0 for package: nautilus-open-terminal
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libgnomecanvas
--> Processing Dependency: libpangocairo-1.0.so.0 for package: trousers
--> Processing Dependency: libpangocairo-1.0.so.0 for package: at-spi
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-screensaver
--> Processing Dependency: libpangocairo-1.0.so.0 for package: notification-daemon
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-netstatus
--> Processing Dependency: libpangocairo-1.0.so.0 for package: zenity
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-terminal
--> Processing Dependency: libpangocairo-1.0.so.0 for package: evolution-connector
--> Processing Dependency: libpangocairo-1.0.so.0 for package: libgail-gnome
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-system-monitor
--> Processing Dependency: libpangocairo-1.0.so.0 for package: nautilus-sendto
--> Processing Dependency: libpangocairo-1.0.so.0 for package: evolution-webcal
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-media
--> Processing Dependency: libpangocairo-1.0.so.0 for package: gnome-session
--> Processing Dependency: libpangoft2-1.0.so.0 for package: libgail-gnome
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-pilot
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-python2
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gok
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gedit
--> Processing Dependency: libpangoft2-1.0.so.0 for package: paps
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gtkhtml3
--> Processing Dependency: libpangoft2-1.0.so.0 for package: yelp
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-applets
--> Processing Dependency: libpangoft2-1.0.so.0 for package: eel2
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-python2-canvas
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-python2-gnomeprint
--> Processing Dependency: libpangoft2-1.0.so.0 for package: libgnomeprint22
--> Processing Dependency: libpangoft2-1.0.so.0 for package: im-chooser
--> Processing Dependency: libpangoft2-1.0.so.0 for package: zenity
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-panel
--> Processing Dependency: libpangoft2-1.0.so.0 for package: evolution
--> Processing Dependency: libpangoft2-1.0.so.0 for package: nautilus-open-terminal
--> Processing Dependency: libpangoft2-1.0.so.0 for package: libgnomecanvas
--> Processing Dependency: libpangoft2-1.0.so.0 for package: file-roller
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-python2-bonobo
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gucharmap
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-utils
--> Processing Dependency: libpangoft2-1.0.so.0 for package: vino
--> Processing Dependency: libpangoft2-1.0.so.0 for package: nautilus-cd-burner
--> Processing Dependency: libpangoft2-1.0.so.0 for package: at-spi
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-spell
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-screensaver
--> Processing Dependency: libpangoft2-1.0.so.0 for package: vte
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-desktop
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-volume-manager
--> Processing Dependency: libpangoft2-1.0.so.0 for package: ekiga
--> Processing Dependency: libpangoft2-1.0.so.0 for package: libgnomeprintui22
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gail
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-netstatus
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-python2-libegg
--> Processing Dependency: libpangoft2-1.0.so.0 for package: evince
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-session
--> Processing Dependency: libpangoft2-1.0.so.0 for package: eog
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gthumb
--> Processing Dependency: libpangoft2-1.0.so.0 for package: xulrunner
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-mount
--> Processing Dependency: libpangoft2-1.0.so.0 for package: libgnomeui
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-terminal
--> Processing Dependency: libpangoft2-1.0.so.0 for package: evolution-connector
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-power-manager
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-system-monitor
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gtkhtml2
--> Processing Dependency: libpangoft2-1.0.so.0 for package: librsvg2
--> Processing Dependency: libpangoft2-1.0.so.0 for package: krb5-auth-dialog
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gdm
--> Processing Dependency: libpangoft2-1.0.so.0 for package: evolution-webcal
--> Processing Dependency: libpangoft2-1.0.so.0 for package: desktop-printing
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gcalctool
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-python2-applet
--> Processing Dependency: libpangoft2-1.0.so.0 for package: gnome-media
--> Processing Dependency: libpangoft2-1.0.so.0 for package: nautilus
--> Processing Dependency: libpangoft2-1.0.so.0 for package: libbonoboui
--> Processing Dependency: libpangoft2-1.0.so.0 for package: rhgb
--> Processing Dependency: libpangoft2-1.0.so.0 for package: control-center
--> Processing Dependency: libpangox-1.0.so.0 for package: rhgb
--> Processing Dependency: libpangox-1.0.so.0 for package: vte
--> Processing Dependency: libpangox-1.0.so.0 for package: gnome-terminal
--> Processing Dependency: libpangoxft-1.0.so.0 for package: rhgb
--> Processing Dependency: libpangoxft-1.0.so.0 for package: vte
--> Processing Dependency: libpangoxft-1.0.so.0 for package: gnome-terminal
--> Processing Dependency: pango >= 1.5.0 for package: libgnomeprint22
--> Processing Dependency: pango >= 1.8.0 for package: gnome-terminal
--> Processing Dependency: pango >= 1.2.0 for package: libgnomeui
--> Processing Dependency: pango >= 1.1.3 for package: eel2
--> Processing Dependency: pango >= 1.13.0-1 for package: gtk2
--> Running transaction check
---> Package GConf2.i386 0:2.14.0-9.el5 set to be erased
--> Processing Dependency: libgconf-2.so.4 for package: gnome-python2-gnomevfs
--> Processing Dependency: libgconf-2.so.4 for package: libgsf
--> Processing Dependency: libgconf-2.so.4 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4 for package: gnome-vfs2
--> Processing Dependency: libgconf-2.so.4 for package: GConf2-devel
--> Processing Dependency: libgconf-2.so.4 for package: libgnome
--> Processing Dependency: GConf2 >= 2.14 for package: gnome-vfs2
--> Processing Dependency: GConf2 >= 2.14 for package: gnome-vfs2
--> Processing Dependency: GConf2 >= 2.14 for package: gnome-vfs2
--> Processing Dependency: GConf2 >= 2.14 for package: libgnome
--> Processing Dependency: GConf2 >= 2.14 for package: libgnome
--> Processing Dependency: GConf2 >= 2.14 for package: libgnome
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 = 2.14.0 for package: GConf2-devel
---> Package NetworkManager-gnome.i386 1:0.7.0-13.el5 set to be erased
---> Package at-spi.i386 0:1.7.11-3.el5 set to be erased
--> Processing Dependency: libcspi.so.0 for package: pyspi
--> Processing Dependency: libspi.so.0 for package: pyspi
---> Package bluez-gnome.i386 0:0.5-5.fc6 set to be erased
--> Processing Dependency: bluez-gnome for package: bluez-utils
---> Package control-center.i386 1:2.16.0-16.el5 set to be erased
--> Processing Dependency: control-center >= 2.16.0-5 for package: orca
---> Package desktop-printing.i386 0:0.19-20.2.el5 set to be erased
---> Package eel2.i386 0:2.16.1-1.el5 set to be erased
---> Package ekiga.i386 0:2.0.2-7.0.2 set to be erased
---> Package eog.i386 0:2.16.0.1-6.el5 set to be erased
---> Package evince.i386 0:0.6.0-13.el5 set to be erased
---> Package evolution.i386 0:2.12.3-19.el5 set to be erased
---> Package evolution-connector.i386 0:2.12.3-11.el5 set to be erased
---> Package evolution-data-server.i386 0:1.12.3-18.el5 set to be erased
---> Package evolution-webcal.i386 0:2.7.1-6 set to be erased
---> Package file-roller.i386 0:2.16.0-2.fc6 set to be erased
---> Package firefox.i386 0:3.6.24-3.el5.centos set to be erased
---> Package gail.i386 0:1.9.2-3.el5_4 set to be erased
---> Package gcalctool.i386 0:5.8.25-1.el5 set to be erased
---> Package gdm.i386 1:2.16.0-56.el5.centos set to be erased
---> Package gedit.i386 1:2.16.0-9.el5 set to be erased
---> Package gnome-applets.i386 1:2.16.0.1-19.el5 set to be erased
---> Package gnome-desktop.i386 0:2.16.0-1.el5.centos.1 set to be erased
---> Package gnome-keyring.i386 0:0.6.0-1.fc6 set to be erased
--> Processing Dependency: libgnome-keyring.so.0 for package: gnome-keyring-devel
--> Processing Dependency: gnome-keyring = 0.6.0 for package: gnome-keyring-devel
---> Package gnome-mag.i386 0:0.13.1-1.fc6 set to be erased
---> Package gnome-media.i386 0:2.16.1-3.el5 set to be erased
---> Package gnome-mount.i386 0:0.5-3.el5 set to be erased
---> Package gnome-netstatus.i386 0:2.12.0-5.el5 set to be erased
---> Package gnome-panel.i386 0:2.16.1-7.el5 set to be erased
---> Package gnome-pilot.i386 0:2.0.13-16 set to be erased
---> Package gnome-power-manager.i386 0:2.16.0-10.el5 set to be erased
---> Package gnome-python2.i386 0:2.16.0-1.fc6 set to be erased
--> Processing Dependency: gnome-python2 >= 2.9.0 for package: gnome-python2-desktop
--> Processing Dependency: gnome-python2 >= 2.0.0 for package: hal-gnome
--> Processing Dependency: gnome-python2 for package: setroubleshoot
--> Processing Dependency: gnome-python2 for package: system-config-lvm
--> Processing Dependency: gnome-python2 for package: system-config-network
--> Processing Dependency: gnome-python2 >= 2.9.0 for package: gnome-python2-extras
---> Package gnome-python2-applet.i386 0:2.16.0-3.el5 set to be erased
---> Package gnome-python2-bonobo.i386 0:2.16.0-1.fc6 set to be erased
---> Package gnome-python2-canvas.i386 0:2.16.0-1.fc6 set to be erased
--> Processing Dependency: gnome-python2-canvas for package: system-config-date
---> Package gnome-python2-gnomeprint.i386 0:2.16.0-3.el5 set to be erased
---> Package gnome-python2-gtkhtml2.i386 0:2.14.2-7.el5 set to be erased
---> Package gnome-python2-gtksourceview.i386 0:2.16.0-3.el5 set to be erased
---> Package gnome-python2-libegg.i386 0:2.14.2-7.el5 set to be erased
---> Package gnome-screensaver.i386 0:2.16.1-8.el5_7.5 set to be erased
---> Package gnome-session.i386 0:2.16.0-8.el5.centos set to be erased
---> Package gnome-spell.i386 0:1.0.7-3.1 set to be erased
---> Package gnome-system-monitor.i386 0:2.16.0-3.el5 set to be erased
---> Package gnome-terminal.i386 0:2.16.0-5.3.el5_6.1 set to be erased
---> Package gnome-user-share.i386 0:0.10-6.el5 set to be erased
---> Package gnome-utils.i386 1:2.16.0-5.el5 set to be erased
---> Package gnome-volume-manager.i386 0:2.15.0-5.el5 set to be erased
---> Package gok.i386 0:1.2.0-2.el5 set to be erased
---> Package gstreamer-plugins-base.i386 0:0.10.20-3.0.1.el5_3 set to be erased
---> Package gstreamer-plugins-good.i386 0:0.10.9-1.el5_3.2 set to be erased
---> Package gthumb.i386 0:2.7.8-8.el5 set to be erased
---> Package gtk2.i386 0:2.10.4-21.el5_7.7 set to be erased
--> Processing Dependency: gtk2 >= 2.6.2 for package: gnome-themes
--> Processing Dependency: gtk2 >= 2.6 for package: system-config-display
--> Processing Dependency: gtk2 >= 2.6 for package: system-config-rootpassword
--> Processing Dependency: gtk2 for package: system-config-soundcard
--> Processing Dependency: gtk2 for package: system-config-soundcard
--> Processing Dependency: gtk2 >= 2.6 for package: system-config-securitylevel
--> Processing Dependency: gtk2 >= 2.6.2 for package: gnome-icon-theme
--> Processing Dependency: gtk2 >= 2.6 for package: system-config-language
--> Processing Dependency: gtk2 for package: system-config-services
--> Processing Dependency: gtk2 for package: system-config-services
--> Processing Dependency: gtk2 >= 2.6 for package: system-config-keyboard
---> Package gtk2-engines.i386 0:2.8.0-3.el5 set to be erased
--> Processing Dependency: gtk2-engines for package: redhat-artwork
---> Package gtkhtml2.i386 0:2.11.0-3 set to be erased
---> Package gtkhtml3.i386 0:3.16.3-1.el5 set to be erased
---> Package gtksourceview.i386 0:1.8.0-1.fc6 set to be erased
---> Package gucharmap.i386 0:1.8.0-1.fc6 set to be erased
---> Package im-chooser.i386 0:0.3.3-6.el5 set to be erased
---> Package krb5-auth-dialog.i386 0:0.7-1 set to be erased
---> Package libbonoboui.i386 0:2.16.0-1.fc6 set to be erased
---> Package libgail-gnome.i386 0:1.1.3-1.2.1 set to be erased
---> Package libglade2.i386 0:2.6.0-2 set to be erased
---> Package libgnomecanvas.i386 0:2.14.0-4.1 set to be erased
---> Package libgnomeprint22.i386 0:2.12.1-10.el5 set to be erased
---> Package libgnomeprintui22.i386 0:2.12.1-6 set to be erased
---> Package libgnomeui.i386 0:2.16.0-5.el5 set to be erased
---> Package libnotify.i386 0:0.4.2-6.el5 set to be erased
--> Processing Dependency: libnotify >= 0.4.2 for package: esc
---> Package librsvg2.i386 0:2.16.1-1.el5 set to be erased
---> Package libwnck.i386 0:2.16.0-4.fc6 set to be erased
---> Package metacity.i386 0:2.16.0-16.el5 set to be erased
--> Processing Dependency: metacity for package: firstboot
---> Package nautilus.i386 0:2.16.2-10.el5 set to be erased
---> Package nautilus-cd-burner.i386 0:2.16.0-7.el5 set to be erased
---> Package nautilus-extensions.i386 0:2.16.2-10.el5 set to be erased
---> Package nautilus-open-terminal.i386 0:0.6-7.el5 set to be erased
---> Package nautilus-sendto.i386 0:1.0.1-6.el5.centos set to be erased
---> Package notification-daemon.i386 0:0.3.5-9.el5 set to be erased
---> Package notify-python.i386 0:0.1.0-3.fc6 set to be erased
--> Processing Dependency: notify-python for package: pirut
---> Package nspluginwrapper.i386 0:1.3.0-9.el5 set to be erased
---> Package openssh-askpass.i386 0:4.3p2-72.el5_7.5 set to be erased
---> Package pango-devel.i386 0:1.28.1-3.el6_0.5.1.centos set to be erased
---> Package paps.i386 0:0.6.6-20.el5 set to be erased
--> Processing Dependency: paps >= 0.6.6-9 for package: cups
---> Package poppler.i386 0:0.5.4-4.4.el5_6.17 set to be erased
--> Processing Dependency: libpoppler.so.1 for package: poppler-utils
--> Processing Dependency: poppler = 0.5.4-4.4.el5_6.17 for package: poppler-utils
---> Package pygtk2.i386 0:2.10.1-12.el5 set to be erased
--> Processing Dependency: pygtk2 for package: alacarte
--> Processing Dependency: pygtk2 >= 2.8.6 for package: system-config-kdump
--> Processing Dependency: pygtk2 for package: system-config-samba
--> Processing Dependency: pygtk2 for package: dogtail
--> Processing Dependency: pygtk2 for package: system-config-users
---> Package pygtk2-libglade.i386 0:2.10.1-12.el5 set to be erased
--> Processing Dependency: pygtk2-libglade >= 2.4.0 for package: authconfig-gtk
---> Package rhgb.i386 0:0.16.4-8.el5.centos.3 set to be erased
---> Package sabayon.i386 0:2.12.4-7.el5 set to be erased
---> Package trousers.i386 0:0.3.1-4.el5 set to be erased
--> Processing Dependency: libtspi.so.1 for package: ecryptfs-utils
---> Package usermode-gtk.i386 0:1.88-3.el5.2 set to be erased
---> Package vino.i386 0:2.13.5-9.el5_4 set to be erased
---> Package vte.i386 0:0.14.0-2.el5 set to be erased
---> Package xsri.i386 1:2.1.0-10.fc6 set to be erased
---> Package xulrunner.i386 0:1.9.2.24-2.el5_7 set to be erased
---> Package yelp.i386 0:2.16.0-26.el5 set to be erased
---> Package zenity.i386 0:2.16.0-2.el5 set to be erased
--> Running transaction check
---> Package GConf2-devel.i386 0:2.14.0-9.el5 set to be erased
--> Processing Dependency: GConf2-devel >= 2.14 for package: libgnome-devel
--> Processing Dependency: GConf2-devel >= 2.14 for package: gnome-vfs2-devel
---> Package alacarte.noarch 0:0.10.0-1.fc6 set to be erased
---> Package authconfig-gtk.i386 0:5.3.21-7.el5 set to be erased
---> Package bluez-utils.i386 0:3.7-2.2.el5.centos set to be erased
---> Package cups.i386 1:1.3.7-26.el5_6.1 set to be erased
--> Processing Dependency: cups for package: hal-cups-utils
--> Processing Dependency: cups for package: libgnomecups
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be erased
---> Package ecryptfs-utils.i386 0:75-5.el5_7.2 set to be erased
---> Package esc.i386 0:1.1.0-12.el5 set to be erased
---> Package firstboot.i386 0:1.4.27.8-1.el5.centos set to be erased
---> Package gnome-icon-theme.noarch 0:2.16.0.1-4.el5 set to be erased
---> Package gnome-keyring-devel.i386 0:0.6.0-1.fc6 set to be erased
---> Package gnome-python2-desktop.i386 0:2.16.0-3.el5 set to be erased
---> Package gnome-python2-extras.i386 0:2.14.2-7.el5 set to be erased
---> Package gnome-python2-gconf.i386 0:2.16.0-1.fc6 set to be erased
---> Package gnome-python2-gnomevfs.i386 0:2.16.0-1.fc6 set to be erased
---> Package gnome-themes.noarch 0:2.16.0-1.fc6 set to be erased
---> Package gnome-vfs2.i386 0:2.16.2-8.el5 set to be erased
--> Processing Dependency: libgnomevfs-2.so.0 for package: gnome-vfs2-smb
--> Processing Dependency: gnome-vfs2 = 2.16.2-8.el5 for package: gnome-vfs2-smb
---> Package hal-gnome.i386 0:0.5.8.1-62.el5 set to be erased
---> Package libgnome.i386 0:2.16.0-6.el5 set to be erased
---> Package libgsf.i386 0:1.14.1-6.1 set to be erased
--> Processing Dependency: libgsf-1.so.114 for package: libgsf-devel
--> Processing Dependency: libgsf-gnome-1.so.114 for package: libgsf-devel
--> Processing Dependency: libgsf = 1.14.1-6.1 for package: libgsf-devel
---> Package orca.i386 0:1.0.0-5.el5 set to be erased
---> Package pirut.noarch 0:1.3.28-19.el5.centos set to be erased
---> Package poppler-utils.i386 0:0.5.4-4.4.el5_6.17 set to be erased
---> Package pyspi.i386 0:0.6.1-1.el5 set to be erased
---> Package redhat-artwork.i386 0:5.1.0-28.el5.centos set to be erased
---> Package setroubleshoot.noarch 0:2.0.5-5.el5 set to be erased
---> Package system-config-date.noarch 0:1.8.12-4.el5.centos set to be erased
---> Package system-config-display.noarch 0:1.0.48-2.el5 set to be erased
---> Package system-config-kdump.noarch 0:1.0.14-4.el5 set to be erased
---> Package system-config-keyboard.noarch 0:1.2.11-1.el5 set to be erased
---> Package system-config-language.noarch 0:1.1.18-3.el5 set to be erased
---> Package system-config-lvm.noarch 0:1.1.5-9.el5 set to be erased
---> Package system-config-network.noarch 0:1.3.99.19-2.el5 set to be erased
---> Package system-config-rootpassword.noarch 0:1.1.9.1-1 set to be erased
---> Package system-config-samba.noarch 0:1.2.41-5.el5 set to be erased
---> Package system-config-securitylevel.i386 0:1.6.29.1-6.el5 set to be erased
---> Package system-config-services.noarch 0:0.9.4-5.el5 set to be erased
---> Package system-config-soundcard.noarch 0:2.0.6-1.el5 set to be erased
---> Package system-config-users.noarch 0:1.2.51-4.el5 set to be erased
--> Running transaction check
---> Package gnome-vfs2-devel.i386 0:2.16.2-8.el5 set to be erased
---> Package gnome-vfs2-smb.i386 0:2.16.2-8.el5 set to be erased
---> Package hal-cups-utils.i386 0:0.6.2-5.2.el5 set to be erased
---> Package libgnome-devel.i386 0:2.16.0-6.el5 set to be erased
---> Package libgnomecups.i386 0:0.2.2-9 set to be erased
---> Package libgsf-devel.i386 0:1.14.1-6.1 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================================================================================
 Package                                           Arch                         Version                                          Repository                       Size
=======================================================================================================================================================================
Downgrading:
 cairo                                             i386                         1.2.4-5.el5                                      base                            394 k
Removing for dependencies:
 GConf2                                            i386                         2.14.0-9.el5                                     installed                       4.6 M
 GConf2-devel                                      i386                         2.14.0-9.el5                                     installed                       643 k
 NetworkManager-gnome                              i386                         1:0.7.0-13.el5                                   installed                       862 k
 alacarte                                          noarch                       0.10.0-1.fc6                                     installed                       604 k
 at-spi                                            i386                         1.7.11-3.el5                                     installed                       894 k
 authconfig-gtk                                    i386                         5.3.21-7.el5                                     installed                       188 k
 bluez-gnome                                       i386                         0.5-5.fc6                                        installed                        43 k
 bluez-utils                                       i386                         3.7-2.2.el5.centos                               installed                       778 k
 cairo-devel                                       i386                         1.8.8-3.1                                        installed                       1.9 M
 control-center                                    i386                         1:2.16.0-16.el5                                  installed                       8.1 M
 cups                                              i386                         1:1.3.7-26.el5_6.1                               installed                       9.0 M
 desktop-printing                                  i386                         0.19-20.2.el5                                    installed                       259 k
 dogtail                                           noarch                       0.6.1-4.el5                                      installed                       667 k
 ecryptfs-utils                                    i386                         75-5.el5_7.2                                     installed                       387 k
 eel2                                              i386                         2.16.1-1.el5                                     installed                       1.1 M
 ekiga                                             i386                         2.0.2-7.0.2                                      installed                        11 M
 eog                                               i386                         2.16.0.1-6.el5                                   installed                       1.8 M
 esc                                               i386                         1.1.0-12.el5                                     installed                       1.2 M
 evince                                            i386                         0.6.0-13.el5                                     installed                       2.7 M
 evolution                                         i386                         2.12.3-19.el5                                    installed                        36 M
 evolution-connector                               i386                         2.12.3-11.el5                                    installed                       2.3 M
 evolution-data-server                             i386                         1.12.3-18.el5                                    installed                        11 M
 evolution-webcal                                  i386                         2.7.1-6                                          installed                       265 k
 file-roller                                       i386                         2.16.0-2.fc6                                     installed                       3.5 M
 firefox                                           i386                         3.6.24-3.el5.centos                              installed                        17 M
 firstboot                                         i386                         1.4.27.8-1.el5.centos                            installed                       961 k
 gail                                              i386                         1.9.2-3.el5_4                                    installed                       1.1 M
 gcalctool                                         i386                         5.8.25-1.el5                                     installed                       4.1 M
 gdm                                               i386                         1:2.16.0-56.el5.centos                           installed                        11 M
 gedit                                             i386                         1:2.16.0-9.el5                                   installed                        17 M
 gnome-applets                                     i386                         1:2.16.0.1-19.el5                                installed                        31 M
 gnome-desktop                                     i386                         2.16.0-1.el5.centos.1                            installed                       1.9 M
 gnome-icon-theme                                  noarch                       2.16.0.1-4.el5                                   installed                       6.0 M
 gnome-keyring                                     i386                         0.6.0-1.fc6                                      installed                       860 k
 gnome-keyring-devel                               i386                         0.6.0-1.fc6                                      installed                       237 k
 gnome-mag                                         i386                         0.13.1-1.fc6                                     installed                       247 k
 gnome-media                                       i386                         2.16.1-3.el5                                     installed                       5.2 M
 gnome-mount                                       i386                         0.5-3.el5                                        installed                       228 k
 gnome-netstatus                                   i386                         2.12.0-5.el5                                     installed                       972 k
 gnome-panel                                       i386                         2.16.1-7.el5                                     installed                        10 M
 gnome-pilot                                       i386                         2.0.13-16                                        installed                       1.7 M
 gnome-power-manager                               i386                         2.16.0-10.el5                                    installed                       6.1 M
 gnome-python2                                     i386                         2.16.0-1.fc6                                     installed                       588 k
 gnome-python2-applet                              i386                         2.16.0-3.el5                                     installed                        16 k
 gnome-python2-bonobo                              i386                         2.16.0-1.fc6                                     installed                       167 k
 gnome-python2-canvas                              i386                         2.16.0-1.fc6                                     installed                        45 k
 gnome-python2-desktop                             i386                         2.16.0-3.el5                                     installed                       234 k
 gnome-python2-extras                              i386                         2.14.2-7.el5                                     installed                        62 k
 gnome-python2-gconf                               i386                         2.16.0-1.fc6                                     installed                        71 k
 gnome-python2-gnomeprint                          i386                         2.16.0-3.el5                                     installed                       427 k
 gnome-python2-gnomevfs                            i386                         2.16.0-1.fc6                                     installed                       163 k
 gnome-python2-gtkhtml2                            i386                         2.14.2-7.el5                                     installed                        17 k
 gnome-python2-gtksourceview                       i386                         2.16.0-3.el5                                     installed                       347 k
 gnome-python2-libegg                              i386                         2.14.2-7.el5                                     installed                       113 k
 gnome-screensaver                                 i386                         2.16.1-8.el5_7.5                                 installed                       3.3 M
 gnome-session                                     i386                         2.16.0-8.el5.centos                              installed                       1.3 M
 gnome-spell                                       i386                         1.0.7-3.1                                        installed                       258 k
 gnome-system-monitor                              i386                         2.16.0-3.el5                                     installed                       2.9 M
 gnome-terminal                                    i386                         2.16.0-5.3.el5_6.1                               installed                       8.4 M
 gnome-themes                                      noarch                       2.16.0-1.fc6                                     installed                       4.5 M
 gnome-user-share                                  i386                         0.10-6.el5                                       installed                        89 k
 gnome-utils                                       i386                         1:2.16.0-5.el5                                   installed                       8.5 M
 gnome-vfs2                                        i386                         2.16.2-8.el5                                     installed                       4.7 M
 gnome-vfs2-devel                                  i386                         2.16.2-8.el5                                     installed                       2.4 M
 gnome-vfs2-smb                                    i386                         2.16.2-8.el5                                     installed                        28 k
 gnome-volume-manager                              i386                         2.15.0-5.el5                                     installed                       1.9 M
 gok                                               i386                         1.2.0-2.el5                                      installed                       9.2 M
 gstreamer-plugins-base                            i386                         0.10.20-3.0.1.el5_3                              installed                       2.4 M
 gstreamer-plugins-good                            i386                         0.10.9-1.el5_3.2                                 installed                       2.4 M
 gthumb                                            i386                         2.7.8-8.el5                                      installed                       5.6 M
 gtk2                                              i386                         2.10.4-21.el5_7.7                                installed                        19 M
 gtk2-engines                                      i386                         2.8.0-3.el5                                      installed                       929 k
 gtkhtml2                                          i386                         2.11.0-3                                         installed                       431 k
 gtkhtml3                                          i386                         3.16.3-1.el5                                     installed                       2.9 M
 gtksourceview                                     i386                         1.8.0-1.fc6                                      installed                       1.6 M
 gucharmap                                         i386                         1.8.0-1.fc6                                      installed                       5.8 M
 hal-cups-utils                                    i386                         0.6.2-5.2.el5                                    installed                        58 k
 hal-gnome                                         i386                         0.5.8.1-62.el5                                   installed                       205 k
 im-chooser                                        i386                         0.3.3-6.el5                                      installed                       188 k
 krb5-auth-dialog                                  i386                         0.7-1                                            installed                        52 k
 libbonoboui                                       i386                         2.16.0-1.fc6                                     installed                       1.2 M
 libgail-gnome                                     i386                         1.1.3-1.2.1                                      installed                        60 k
 libglade2                                         i386                         2.6.0-2                                          installed                       254 k
 libgnome                                          i386                         2.16.0-6.el5                                     installed                       3.3 M
 libgnome-devel                                    i386                         2.16.0-6.el5                                     installed                       429 k
 libgnomecanvas                                    i386                         2.14.0-4.1                                       installed                       800 k
 libgnomecups                                      i386                         0.2.2-9                                          installed                       215 k
 libgnomeprint22                                   i386                         2.12.1-10.el5                                    installed                       1.3 M
 libgnomeprintui22                                 i386                         2.12.1-6                                         installed                       1.0 M
 libgnomeui                                        i386                         2.16.0-5.el5                                     installed                       3.1 M
 libgsf                                            i386                         1.14.1-6.1                                       installed                       258 k
 libgsf-devel                                      i386                         1.14.1-6.1                                       installed                       1.0 M
 libnotify                                         i386                         0.4.2-6.el5                                      installed                        87 k
 librsvg2                                          i386                         2.16.1-1.el5                                     installed                       425 k
 libwnck                                           i386                         2.16.0-4.fc6                                     installed                       517 k
 metacity                                          i386                         2.16.0-16.el5                                    installed                       9.5 M
 nautilus                                          i386                         2.16.2-10.el5                                    installed                        12 M
 nautilus-cd-burner                                i386                         2.16.0-7.el5                                     installed                       1.7 M
 nautilus-extensions                               i386                         2.16.2-10.el5                                    installed                        31 k
 nautilus-open-terminal                            i386                         0.6-7.el5                                        installed                        58 k
 nautilus-sendto                                   i386                         1.0.1-6.el5.centos                               installed                       335 k
 notification-daemon                               i386                         0.3.5-9.el5                                      installed                       103 k
 notify-python                                     i386                         0.1.0-3.fc6                                      installed                        24 k
 nspluginwrapper                                   i386                         1.3.0-9.el5                                      installed                       458 k
 openssh-askpass                                   i386                         4.3p2-72.el5_7.5                                 installed                       9.9 k
 orca                                              i386                         1.0.0-5.el5                                      installed                       3.4 M
 pango                                             i386                         1.28.1-3.el6_0.5.1.centos                        installed                       955 k
 pango-devel                                       i386                         1.28.1-3.el6_0.5.1.centos                        installed                       2.0 M
 paps                                              i386                         0.6.6-20.el5                                     installed                        57 k
 pirut                                             noarch                       1.3.28-19.el5.centos                             installed                       1.4 M
 poppler                                           i386                         0.5.4-4.4.el5_6.17                               installed                       8.4 M
 poppler-utils                                     i386                         0.5.4-4.4.el5_6.17                               installed                       146 k
 pygtk2                                            i386                         2.10.1-12.el5                                    installed                       3.6 M
 pygtk2-libglade                                   i386                         2.10.1-12.el5                                    installed                        15 k
 pyspi                                             i386                         0.6.1-1.el5                                      installed                       412 k
 redhat-artwork                                    i386                         5.1.0-28.el5.centos                              installed                       8.8 M
 rhgb                                              i386                         0.16.4-8.el5.centos.3                            installed                       380 k
 sabayon                                           i386                         2.12.4-7.el5                                     installed                       478 k
 setroubleshoot                                    noarch                       2.0.5-5.el5                                      installed                       314 k
 system-config-date                                noarch                       1.8.12-4.el5.centos                              installed                       3.6 M
 system-config-display                             noarch                       1.0.48-2.el5                                     installed                       786 k
 system-config-kdump                               noarch                       1.0.14-4.el5                                     installed                       437 k
 system-config-keyboard                            noarch                       1.2.11-1.el5                                     installed                       193 k
 system-config-language                            noarch                       1.1.18-3.el5                                     installed                       157 k
 system-config-lvm                                 noarch                       1.1.5-9.el5                                      installed                       2.9 M
 system-config-network                             noarch                       1.3.99.19-2.el5                                  installed                       2.3 M
 system-config-rootpassword                        noarch                       1.1.9.1-1                                        installed                       164 k
 system-config-samba                               noarch                       1.2.41-5.el5                                     installed                       1.0 M
 system-config-securitylevel                       i386                         1.6.29.1-6.el5                                   installed                       1.1 M
 system-config-services                            noarch                       0.9.4-5.el5                                      installed                       561 k
 system-config-soundcard                           noarch                       2.0.6-1.el5                                      installed                       1.6 M
 system-config-users                               noarch                       1.2.51-4.el5                                     installed                       1.4 M
 trousers                                          i386                         0.3.1-4.el5                                      installed                       793 k
 usermode-gtk                                      i386                         1.88-3.el5.2                                     installed                       182 k
 vino                                              i386                         2.13.5-9.el5_4                                   installed                       1.1 M
 vte                                               i386                         0.14.0-2.el5                                     installed                       1.0 M
 xsri                                              i386                         1:2.1.0-10.fc6                                   installed                        55 k
 xulrunner                                         i386                         1.9.2.24-2.el5_7                                 installed                        29 M
 yelp                                              i386                         2.16.0-26.el5                                    installed                       2.0 M
 zenity                                            i386                         2.16.0-2.el5                                     installed                       2.0 M

Transaction Summary
=======================================================================================================================================================================
Remove      140 Package(s)
Reinstall     0 Package(s)
Downgrade     1 Package(s)

Total download size: 394 k
Is this ok [y/N]: N
Exiting on user Command
Complete!
sturdyworks

sturdyworks

2012-01-30 23:51

reporter   ~0014374

I used the following with much success

$ sudo yum downgrade pango
  [removed pango and pango-devel]
$ sudo install pango-devel
$ sudo yum remove cairo-devel
$ sudo yum clean all
$ sudo yum downgrade cairo
sturdyworks

sturdyworks

2012-01-30 23:52

reporter   ~0014375

This bug report can be closed
tigalch

tigalch

2013-02-05 19:31

manager   ~0016438

closing as per reporters feedback

Issue History

Date Modified Username Field Change
2012-01-30 23:26 sturdyworks New Issue
2012-01-30 23:26 sturdyworks File Added: cairo-1.8.8-3.1.el6.src.rpm-downgrade-result.txt
2012-01-30 23:51 sturdyworks Note Added: 0014374
2012-01-30 23:52 sturdyworks Note Added: 0014375
2013-02-05 19:31 tigalch Note Added: 0016438
2013-02-05 19:31 tigalch Status new => resolved
2013-02-05 19:31 tigalch Resolution open => no change required